> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Job

> API to E-File your TDS return by uploading the zip of FVU and Form27A on a pre-signed URL

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>


## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/e-file
openapi: 3.0.1
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/e-file:
    post:
      tags:
        - E-File TDS Return
      summary: Create TDS Return Filing Job
      parameters:
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.compliance.e-file.request
                tax_year:
                  type: string
                  description: Tax Year (e.g. TY 2026-27)
                  pattern: ^TY [0-9]{4}-[0-9]{2}$
                  example: TY 2026-27
                form:
                  description: >-
                    TDS/TCS return form. Use 138 for erstwhile 24Q, 140 for
                    erstwhile 26Q, 144 for erstwhile 27Q, and 143 for erstwhile
                    27EQ.
                  enum:
                    - '138'
                    - '140'
                    - '144'
                    - '143'
                  type: string
                quarter:
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                  type: string
                tan:
                  description: >-
                    TAN of deductor/collector. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  type: string
                  example: AHMA09719B
              required:
                - '@entity'
                - tax_year
                - quarter
                - tan
                - form
            examples:
              200 Job created:
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '138'
                  quarter: Q2
                  tan: AHMA09719B
                summary: 200 Job created
              '200 Job created: Statement furnished':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '140'
                  quarter: Q2
                  tan: MUMR09719B
                summary: '200 Job created: Statement furnished'
              '200 Job created: Unacceptable fvu':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '144'
                  quarter: Q2
                  tan: AABC23456D
                summary: '200 Job created: Unacceptable fvu'
              '200 Job created: invalid archive':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '140'
                  quarter: Q4
                  tan: PDES03028E
                summary: '200 Job created: invalid archive'
              '200 Job created: Form type mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '138'
                  quarter: Q4
                  tan: HYDC23456G
                summary: '200 Job created: Form type mismatch'
              '200 Job created: Quarter mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '140'
                  quarter: Q2
                  tan: MUMC23456H
                summary: '200 Job created: Quarter mismatch'
              '200 Job created: Barcode mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '144'
                  quarter: Q3
                  tan: DELC23456I
                summary: '200 Job created: Barcode mismatch'
              '200 Job created: Invalid entries':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '140'
                  quarter: Q2
                  tan: BLRC23456F
                summary: '200 Job created: Invalid entries'
              '200 Job created: Tax year mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '138'
                  quarter: Q4
                  tan: PUNC23456J
                summary: '200 Job created: Tax year mismatch'
              '200 Job created: TAN mismatch':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '138'
                  quarter: Q2
                  tan: KOLT23456K
                summary: '200 Job created: TAN mismatch'
              '200 Job created: Form27A missing':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '144'
                  quarter: Q3
                  tan: CABC23456M
                summary: '200 Job created: Form27A missing'
              '200 Job created: FVU missing':
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '140'
                  quarter: Q1
                  tan: BABC23456L
                summary: '200 Job created: FVU missing'
              test csi file:
                value:
                  '@entity': in.co.sandbox.tds.compliance.e-file.request
                  tax_year: TY 2026-27
                  form: '140'
                  quarter: Q2
                  tan: SRTH05889C
                summary: test csi file
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      job_id:
                        type: string
                      tan:
                        type: string
                      tax_year:
                        type: string
                        description: Tax Year (e.g. TY 2026-27)
                        pattern: ^TY [0-9]{4}-[0-9]{2}$
                        example: TY 2026-27
                      quarter:
                        type: string
                      form:
                        type: string
                      status:
                        type: string
                      created_at:
                        type: integer
                      fvu_upload_file_url:
                        type: string
                        format: uri
              examples:
                200 Job created:
                  summary: 200 Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: f845f37e-7f05-4de9-a282-a3b23b9d370a
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '138'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Statement furnished':
                  summary: '200 Job created: Statement furnished'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6e8d1908-c062-4846-a811-8f73054acd65
                      tan: MUMR09719B
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Unacceptable fvu':
                  summary: '200 Job created: Unacceptable fvu'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d75c3d26-4f81-451f-ab38-e217ea801ea1
                      tan: AABC23456D
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '144'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: invalid archive':
                  summary: '200 Job created: invalid archive'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d1213059-ec22-4e10-b0c1-a91814377001
                      tan: PDES03028E
                      tax_year: TY 2026-27
                      quarter: Q4
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Form type mismatch':
                  summary: '200 Job created: Form type mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d6f5b340-440b-400c-9b86-16e691e768b0
                      tan: HYDC23456G
                      tax_year: TY 2026-27
                      quarter: Q4
                      form: '138'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Quarter mismatch':
                  summary: '200 Job created: Quarter mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7a62876a-d638-430c-ad77-8fe33d9e63d5
                      tan: MUMC23456H
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Barcode mismatch':
                  summary: '200 Job created: Barcode mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6b11d176-b3c5-483c-9052-b533a6e92377
                      tan: DELC23456I
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '144'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Invalid entries':
                  summary: '200 Job created: Invalid entries'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 3b979ce9-ef4e-4157-a4a3-51e8747e76d7
                      tan: BLRC23456F
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Tax year mismatch':
                  summary: '200 Job created: Tax year mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7928082e-34ca-474c-ba05-4ede9598b9b5
                      tan: PUNC23456J
                      tax_year: TY 2026-27
                      quarter: Q4
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: TAN mismatch':
                  summary: '200 Job created: TAN mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 5fd2679f-040f-435c-a285-df5817a150b5
                      tan: KOLT23456K
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: Form27A missing':
                  summary: '200 Job created: Form27A missing'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: b411fbee-68e4-4da3-9f62-8de8ca09a74c
                      tan: CABC23456M
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                '200 Job created: FVU missing':
                  summary: '200 Job created: FVU missing'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 9bf0b6f8-5957-484f-9aea-0d235054974c
                      tan: BABC23456L
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '140'
                      status: created
                      created_at: 1763362637000
                      fvu_upload_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                test csi file:
                  summary: test csi file
                  value: csi mock data
          headers: {}
      deprecated: false
      security: []

````